[seamonkey] rebuild with new robast find-requires script

Dmitry Butskoy buc at fedoraproject.org
Fri May 9 15:52:27 UTC 2014


commit 50a71ac7dc7bcd1fd27c841a71faaac6a7088de9
Author: buc <buc at grad.stu.neva.ru>
Date:   Fri May 9 19:54:49 2014 +0400

    rebuild with new robast find-requires script

 find-external-requires     |   23 -----------------------
 seamonkey-find-requires.sh |   25 +++++++++++++++++++++++++
 seamonkey.spec             |    7 +++++--
 3 files changed, 30 insertions(+), 25 deletions(-)
---
diff --git a/seamonkey-find-requires.sh b/seamonkey-find-requires.sh
new file mode 100755
index 0000000..cf10e35
--- /dev/null
+++ b/seamonkey-find-requires.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+list=$(mktemp ${TMPDIR:-/tmp}/googleearth-rpm.XXXXXX)
+tmp=$(mktemp ${TMPDIR:-/tmp}/googleearth-rpm.XXXXXX)
+
+trap cleanup EXIT
+cleanup()
+{
+    set +e
+    [ -z "$list" -o ! -f "$list" ] || rm -f "$list"
+    [ -z "$tmp" -o ! -f "$tmp" ] || rm -f "$tmp"
+}
+
+req=/usr/lib/rpm/redhat/find-requires
+[ -e $req ] || req=/usr/lib/rpm/find-requires
+
+prov=/usr/lib/rpm/redhat/find-provides
+[ -e $prov ] || prov=/usr/lib/rpm/find-provides
+
+cat >$list
+
+sh $prov <$list | sort >$tmp
+sh $req <$list | sort | join -v1 - $tmp
diff --git a/seamonkey.spec b/seamonkey.spec
index c5934b7..4b52569 100644
--- a/seamonkey.spec
+++ b/seamonkey.spec
@@ -23,7 +23,7 @@
 Name:           seamonkey
 Summary:        Web browser, e-mail, news, IRC client, HTML editor
 Version:        2.26
-Release:        1%{?dist}
+Release:        2%{?dist}
 URL:            http://www.mozilla.org/projects/seamonkey/
 License:        MPLv2.0
 Group:          Applications/Internet
@@ -47,7 +47,7 @@ Source13:       seamonkey-mail.svg
 Source17:       mozilla-psm-exclude-list
 Source18:       mozilla-xpcom-exclude-list
 Source20:       seamonkey-fedora-default-prefs.js
-Source100:      find-external-requires
+Source100:      seamonkey-find-requires.sh
 
 Patch1:         xulrunner-26.0-gcc47.patch
 Patch2:         xulrunner-24.0-jemalloc-ppc.patch
@@ -474,6 +474,9 @@ fi
 
 
 %changelog
+* Fri May  9 2014 Dmitry Butskoy <Dmitry at Butskoy.name> 2.26-2
+- rebuild with new find-requires script
+
 * Fri May  9 2014 Dmitry Butskoy <Dmitry at Butskoy.name> 2.26-1
 - update to 2.26
 


More information about the scm-commits mailing list